Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Public Member Functions | List of all members
ranges::adaptor_cursor< BaseIter, Adapt > Struct Template Reference
Views

## Public Member Functions
template<typename OtherIter , typename OtherAdapt >
| adaptor_cursor (adaptor_cursor< OtherIter, OtherAdapt > that)
| adaptor_cursor (BaseIter iter, Adapt adapt)

## Constructor & Destructor Documentation

## ◆ adaptor_cursor()

template<typename BaseIter , typename Adapt >
template<typename OtherIter , typename OtherAdapt >

ranges::adaptor_cursor< BaseIter, Adapt >::adaptor_cursor | ( | adaptor_cursor< OtherIter, OtherAdapt > | that | ) |

Precondition
  requires `// (!same_as<adaptor_cursor<OtherIter, OtherAdapt>, adaptor_cursor>) && convertible_to<OtherIter, BaseIter> && convertible_to<OtherAdapt, Adapt>`